Bug 141102 - reboot always hangs at displaying "Restarting system"
reboot always hangs at displaying "Restarting system"
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 04:22 EST by Frank Wang
Modified: 2015-01-04 17:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 15:31:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Wang 2004-11-29 04:22:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Reboot always hangs during last stage of rebooting in my Twinhead
P88TE laptop. Upgraded kernel 2.6.9-1.681_FC3 won't help either.
System hangs at last stage of rebooting process displaying "Restarting
system". My laptop is Celeron II 366M/20G hd/192M ram/Trident Cyber 9525. 

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.681_FC3

How reproducible:
Always

Steps to Reproduce:
1. shutdown -r now 


Actual Results:  Hangs while displaying "Restarting system"

Additional info:
Comment 1 Frank Wang 2005-06-20 06:36:17 EDT
Same problem in FC4. However, I find the default fc4 or offical 2.6.12 kernel
contains a CONFIG_X86_REBOOTFIXUPS option. Unfortunately, my hardware is not in
the Geode GX1/CS5530A/TROM2.1 list. 
I'd like to tweak the problem for my old laptop, CII 366M/192M/Intel BX
chipset/20G. Is it possible to add my hardware to the list? If anybody knows how
to do it, plese drop me a hint. Thanks in advance.
Comment 2 Dave Jones 2005-07-15 16:09:44 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Frank Wang 2005-07-15 23:37:11 EDT
Tried the 2.6.12-1.1398_FC4 kernel with no help. I've updated bug version to fc4.
Comment 4 Dave Jones 2005-09-30 02:43:41 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 5 Frank Wang 2005-10-02 05:33:38 EDT
Tried the 2.6.13-1.1526_FC4 kernel with no help. 
Comment 6 Dave Jones 2005-11-10 14:48:43 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 7 Dave Jones 2005-12-27 22:16:09 EST
can you try booting with these boot parameters (one at a time) to find out which
one works for you..

reboot=h
reboot=b
reboot=s

If you find one of those works, please let me know which one, and attach the
output of dmidecode.

Thanks.
Comment 8 Frank Wang 2005-12-30 01:33:12 EST
I tried reboot=h, reboot=b, reboot=s boot parameter respectively against
2.6.14-1.1653_FC4 kernel with no help. Customized kernel from
kernel-2.6.14-1.1653_FC4.src.rpm with CONFIG_X86_REBOOTFIXUPS=y set gives same
result, only "No reboot fixup found for your hardware" prompted when reboot=s used.
If further info is needed, pls let me know.
Comment 9 Dave Jones 2006-02-03 02:01:29 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 10 Frank Wang 2006-02-03 12:45:56 EST
Tried 2.6.15-1.1830_FC4 kernel with no help. 
Comment 11 Dave Jones 2006-09-16 22:28:33 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 12 Dave Jones 2006-10-16 17:36:23 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 13 John Thacker 2006-10-31 15:31:29 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.